function [pAcquireDefinition, pGotSamples, pT0, pdt, pNumSamples, pNumFrames, ...
pChanAData, pChanBData, pDigData, pCAUStatus, pErrorOut] = ...
CallCscope_CscopeControlDriver( cscope, AcquisitionUnit, Command, ...
    FrameNumber, AcquireDefinition, AllocSpace, pChanAData, pChanBData, pDigData )
%CALLCSCOPE_LVDLLSTATUS Call CscopeControlDriver()

% Call DLL
pGotSamples = libpointer('int8Ptr',0); 
pT0 = libpointer('doublePtr',0);
pdt = libpointer('doublePtr',0); 
pNumSamples = libpointer('uint32Ptr',0); 
pNumFrames = libpointer('uint32Ptr',0); 
pCAUStatus = libpointer('uint16Ptr',0);
pAcquireDefinition = libstruct('TD1',AcquireDefinition);
pErrorOut = libpointer('TD2Ptr');

[pAcquireDefinition, pGotSamples, pT0, pdt, pNumSamples, pNumFrames, ...
pChanAData, pChanBData, pDigData, pCAUStatus, pErrorOut] = ...
calllib(cscope,'CscopeControlDriver', ...
    AcquisitionUnit, Command, ...
    pAcquireDefinition.StartTime, pAcquireDefinition.StopTime, AllocSpace, ...
    FrameNumber, pAcquireDefinition, ...
	pGotSamples, pT0, pdt, pNumSamples, pNumFrames, ...
    pChanAData, AllocSpace, ...
    pChanBData, AllocSpace, ...
    pDigData, AllocSpace, ...
    pCAUStatus, pErrorOut ...
    );

end

