function [ result ] = cleverscope_open( cscope )
%CLEVERSCOPE_OPEN Open the Cleverscope Library

% Check if library loaded
if (libisloaded(cscope))    % If the library was already loaded then
    unloadlibrary(cscope); % unload it so we start fresh.
end

% Load the dynamic libary
[notfound, warnings] = loadlibrary('Cscope Control Driver','Cscope Control Driver.h','alias',cscope);
% libfunctions(cscope,'-full') % use this to show the functions
[m,n]=size(notfound);
result = ~m;

end

